Subject: Re: bash: cannot use job control in an unprivileged LXC container

From: Mark Hindley <[email-masked]>
Date: Fri, 8 May 2020 10:57:11 +0100

Ryutaroh,

Thanks.

On Fri, 08 May 2020 17:08:10 +0900 (JST) Ryutaroh Matsumoto <[email-masked]> wrote:
> Package: bash
> Version: 5.0-4
> Severity: minor
> 
> Dear Maintainer,
> 
> I made an LXC unprivileged container of Devuan on Debian Bullseye by
> mmdebstrap --mode=unshare --components="main contrib non-free" --variant=standard beowulf /home/ryutaroh/.local/share/lxc/devuan/rootfs http://deb.devuan.org/merged
> 
> "Unprivileged" means that it is started by a non-root user (on host Linux).
> 
> The Devuan container works almost fine, but I experienced a minor problem.
> When I login from /dev/console by "lxc-start -F -n devuan",
> I got the error message from /bin/bash as
> 
> -bash: cannot set terminal process group (709): Inappropriate ioctl for device
> -bash: no job control in this shell

This message is usually seen when there is no tty allocated. Are you logging in
from a text terminal or x terminal?

> I do not see the above problem when Devuan is started in
> a privileged LXC container.
> I do not see the above problem in recent releases of Debian or Ubuntu running
> in LXC containers, neither, so it seems Devuan-specific.

Is that not seen on  Debian running systemd or sysvinit?

Thanks

Mark